Subject: [PATCH 0/15] bootwrapper: support for kexec to zImage

From: Milton Miller <[email-masked]>
Date: Tue, 10 Jul 2007 17:07:03 -0500 (CDT)

This series creates a 32 bit zImage wrapper for a 32 or 64 bit PowerPC
Linux kernel.   This allows you to kexec a zImage with its compressed
vmlinux instead of the uncompressed vmlinux elf.  The elf is also
packaged as a 64 bit elf for use by kexec-tools for 64 bit kernels.

This series also adds code to extract the vmlinux elf file from an
initramfs (or other platform supplied location).  This allows one
to load the elf once (compressed) and use it both for userspace and
for the actual boot.

milton